<!doctype html>
<html>
<head>
    <title>Tor Browser 7.5a3 is released | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor Browser 7.5a3 is released | Tor Project">
    <meta property="og:description" content="Note: Tor Browser 7.5a3 is a security bugfix release for Linux users only. Users on Windows and...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-browser-75a3-released/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor Browser 7.5a3 is released
      </h1>
    <p class="meta">by gk | July 28, 2017</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p><strong>Note: Tor Browser 7.5a3 is a  security bugfix release for Linux users only. Users on Windows and macOS are not affected and stay on Tor Browser 7.5a2.</strong></p>

<p>Tor Browser 7.5a3 is now available for our Linux users from the <a href="https://www.torproject.org/projects/torbrowser.html.en#downloads-alpha" rel="nofollow">Tor Browser Project page</a> and also from our <a href="https://www.torproject.org/dist/torbrowser/7.5a3/" rel="nofollow">distribution directory</a>.</p>

<p>This release features an important security update to Tor Browser for Linux users. On Linux systems with GVfs/GIO support Firefox allows to bypass proxy settings as it has a whitelist of supported protocols. Once an affected user navigates to a specially crafted URL the operating system may directly connect to the remote host, bypassing Tor Browser. <strong>Tails and Whonix users, and users of our sandboxed Tor Browser are unaffected, though</strong>.</p>

<p>The bug got reported to us by Julian Jackson (@atechdad) via our HackerOne bug bounty program on July 26. Thanks! We are not aware of it being exploited in the wild.</p>

<p>Here is the full changelog since 7.5a2:</p>

<ul>
<li>Linux
<ul>
<li><a href="https://trac.torproject.org/projects/tor/ticket/23044" rel="nofollow">Bug 23044</a>: Don't allow GIO supported protocols by default</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-270274"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270274" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 08, 2017</p>
    </div>
    <a href="#comment-270274">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270274" class="permalink" rel="bookmark">15:05:29.896 XML Parsing…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>15:05:29.896 XML Parsing Error: syntax error<br />
Location: <a href="https://www.html5video.org/" rel="nofollow">https://www.html5video.org/</a><br />
Line Number 1, Column 1: 1 <a href="http://www.html5video.org:1:1" rel="nofollow">www.html5video.org:1:1</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-270296"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270296" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 08, 2017</p>
    </div>
    <a href="#comment-270296">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270296" class="permalink" rel="bookmark">Why on https://html5test.com…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why on <a href="https://html5test.com/" rel="nofollow">https://html5test.com/</a></p>
<p>Content Security Policy 1</p>
<p>No ✘<br />
Content Security Policy 2</p>
<p>No ✘<br />
?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-270309"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270309" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">August 08, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-270296" class="permalink" rel="bookmark">Why on https://html5test.com…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-270309">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270309" class="permalink" rel="bookmark">Good question. With a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good question. With a vanilla Firefox ESR 52 I get a "No" for Content Security Policy 2 as well. But I am not sure why we differ wrt to Content Security Policy 1...</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-271227"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-271227" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>ABD RAHMAN (not verified)</span> said:</p>
      <p class="date-time">September 05, 2017</p>
    </div>
    <a href="#comment-271227">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-271227" class="permalink" rel="bookmark">DEEP WEB</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>DEEP WEB</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
